Rails version not found when creating new rails application

I have Rails 4.2.5.2 installed, but when I attempt to create a new Rails application in RubyMine, no version at all is available to choose in the Select Version menu. When I click the install gem option, and choose the version I have, it doesn't seem to actually do anything at all. It just returns to the same window. A screenshot of the window is below. I know the answer is probably something trivial, but I cannot seem to figure it out. Thanks.

2 comments
Comment actions Permalink

I have a same problem with my RubyMine 6.0.3 version.

I can't create new rails application or use any others, due to no one Rails Gem found.

When I trying to create model at existing app I recieve message "Rails script not found in your SDK"

I've made a new installation on my Windows7x64: ruby 2.1.8-p440 (x64) + latest RubyGems + Rails 4.2.5.1 installed with "gem install rails 4.2.5.1" command:

h:\Ruby21-x64\rubygems>rails -v
Rails 4.2.5.1

h:\Ruby21-x64\rubygems>gem -v
2.6.1

I see installed ruby and gems at File:Settings \ Ruby SDK and Gems

And my Tools \ Show Gem Environment shows: 

RUBYGEMS VERSION: 2.6.1
RUBY VERSION: 2.1.8 (2015-12-16 patchlevel 440) [x64-mingw32]
INSTALLATION DIRECTORY: H:/Ruby21-x64/lib/ruby/gems/2.1.0
USER INSTALLATION DIRECTORY: H:/.gem/ruby/2.1.0
RUBY EXECUTABLE: H:/Ruby21-x64/bin/ruby.exe
EXECUTABLE DIRECTORY: H:/Ruby21-x64/bin
SPEC CACHE DIRECTORY: H:/.gem/specs
SYSTEM CONFIGURATION DIRECTORY: C:/ProgramData
RUBYGEMS PLATFORMS:
ruby
x64-mingw32
GEM PATHS:
H:/Ruby21-x64/lib/ruby/gems/2.1.0
H:/.gem/ruby/2.1.0
GEM CONFIGURATION:
:update_sources => true
:verbose => true
:backtrace => false
:bulk_threshold => 1000
REMOTE SOURCES:
https://rubygems.org/
SHELL PATH:
H:\Ruby21-x64\bin
H:\Ruby21-x64\bin
C:\ProgramData\Oracle\Java\javapath
C:\PROGRAM FILES\BROADCOM\BROADCOM 802.11
C:\PROGRAM FILES (X86)\INTEL\ICLS CLIENT\
C:\PROGRAM FILES\INTEL\ICLS CLIENT\
C:\ORACLE\PRODUCT\11.2.0\CLIENT_1\BIN
C:\Windows\SYSTEM32
C:\Windows
C:\Windows\SYSTEM32\WBEM
C:\Windows\SYSTEM32\WINDOWSPOWERSHELL\V1.0\
C:\PROGRAM FILES (X86)\INTEL\OPENCL SDK\3.0\BIN\X86
C:\PROGRAM FILES (X86)\INTEL\OPENCL SDK\3.0\BIN\X64
C:\PROGRAM FILES\INTEL\INTEL(R) MANAGEMENT ENGINE COMPONENTS\DAL
C:\PROGRAM FILES\INTEL\INTEL(R) MANAGEMENT ENGINE COMPONENTS\IPT
C:\PROGRAM FILES (X86)\INTEL\INTEL(R) MANAGEMENT ENGINE COMPONENTS\DAL
C:\PROGRAM FILES (X86)\INTEL\INTEL(R) MANAGEMENT ENGINE COMPONENTS\IPT
C:\Program Files\Intel\Intel(R) Management Engine Components\DAL
C:\Program Files\Intel\Intel(R) Management Engine Components\IPT
C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\DAL
C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\IPT
----------------------
IDE: RubyMine 6.0.3, build #RM-133.632
OS: Windows 7 6.1[x86]
Java: 1.7.0_40-b43
RubyMine SDK Environment:
Sdk: ruby-2.1.8-p440
Sdk Version: ver.2.1.8p440 ( revision 53160) p440
Ruby Interpreter: H:/Ruby21-x64/bin/ruby.exe
RVM Sdk: no
Sdk Language Level: 2.1
Sdk Load Path:
H:/Ruby21-x64/lib/ruby/site_ruby/2.1.0
H:/Ruby21-x64/lib/ruby/site_ruby/2.1.0/x64-msvcrt
H:/Ruby21-x64/lib/ruby/site_ruby
H:/Ruby21-x64/lib/ruby/vendor_ruby/2.1.0
H:/Ruby21-x64/lib/ruby/vendor_ruby/2.1.0/x64-msvcrt
H:/Ruby21-x64/lib/ruby/vendor_ruby
H:/Ruby21-x64/lib/ruby/2.1.0
H:/Ruby21-x64/lib/ruby/2.1.0/x64-mingw32
C:/Program Files (x86)/JetBrains/RubyMine 6.0.3/rubystubs21
Sdk Gem paths:
H:/.gem/ruby/2.1.0/gems
H:/Ruby21-x64/lib/ruby/gems/2.1.0/gems
H:/.gem/ruby/2.1.0/bundler/gems
H:/Ruby21-x64/lib/ruby/gems/2.1.0/bundler/gems
Gems used for 'sqladapter-test': (nothing here)

0
Comment actions Permalink

Could you please check the last EAP? How does it go there?

0

Please sign in to leave a comment.